// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UBlueprint.h"
#include "ISCW_UMovieSceneSequence.h"

#include <memory>
#include <string>

using std::shared_ptr;
using std::wstring;

namespace Sourcify
{	
	class ISCW_ULevelSequence : public virtual ISCW_UMovieSceneSequence
	{
	public:
		virtual ~ISCW_ULevelSequence() = default;

		virtual shared_ptr<ISCW_UBlueprint> GetDirectorBlueprint() const = 0;
		
		virtual shared_ptr<ISCW_ULevelSequence> ToULevelSequencePtr() = 0;
		virtual shared_ptr<const ISCW_ULevelSequence> ToULevelSequencePtr() const = 0;
	};

	using ISCW_ULevelSequenceConstPtr = shared_ptr<const ISCW_ULevelSequence>;
	using ISCW_ULevelSequencePtr = shared_ptr<ISCW_ULevelSequence>;
} // namespace Sourcify